namespace OubHackMS.Users
{
    using OubHackMS.Crypto;
    using System;

    internal class Login
    {
        public static void addUser(string sUsername, string sPassword, string sSID)
        {
            if (isUser(sUsername))
            {
                throw new Exception("User name '" + sUsername + "' taken");
            }
            MD5L.sComputeHash(sPassword);
        }

        public static string getUserSteamID(string sUsername)
        {
            return "";
        }

        public static bool isUser(string sUsername)
        {
            return false;
        }

        public static bool isUser(string sUsername, string sPassword)
        {
            return false;
        }

        public static void removeUser(string sUsername)
        {
        }
    }
}

